Skip to content

getPurchaseReturnOrderLines

READ

Get purchase return order lines.

POST /api/v1/purchasing/getPurchaseReturnOrderLines
curl -X POST '<your-host>/api/v1/purchasing/getPurchaseReturnOrderLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "purchaseReturnOrderId": "string"
  }'
Response
{
  "results": [
    {
      "closedComplete": true,
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "itemId": "string",
      "lineNumber": 0,
      "purchaseInvoiceLineId": "string",
      "purchaseOrderLineId": "string",
      "purchaseReturnOrderId": "string",
      "quantity": 0,
      "quantityShipped": 0,
      "receiptLineId": "string",
      "restockFeePercent": 0,
      "returnReasonId": "string",
      "unitOfMeasureCode": "string",
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string",
      "returnReason": {
        "name": "string"
      },
      "item": {
        "name": "string",
        "readableIdWithRevision": "string",
        "itemTrackingType": "Inventory",
        "thumbnailPath": "string"
      }
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "purchaseReturnOrderId": {
      "type": "string"
    }
  },
  "required": [
    "purchaseReturnOrderId"
  ]
}